/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/
/******/
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 	};
/******/
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		0: 0
/******/ 	};
/******/
/******/
/******/
/******/ 	// script path function
/******/ 	function jsonpScriptSrc(chunkId) {
/******/ 		return __webpack_require__.p + "" + ({}[chunkId]||chunkId) + "." + {"1":"e5d728cab3d967c02c26","2":"480ba68074bb3a8a6bb3"}[chunkId] + ".js"
/******/ 	}
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var promises = [];
/******/
/******/
/******/ 		// JSONP chunk loading for javascript
/******/
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData !== 0) { // 0 means "already installed".
/******/
/******/ 			// a Promise means "currently loading".
/******/ 			if(installedChunkData) {
/******/ 				promises.push(installedChunkData[2]);
/******/ 			} else {
/******/ 				// setup Promise in chunk cache
/******/ 				var promise = new Promise(function(resolve, reject) {
/******/ 					installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 				});
/******/ 				promises.push(installedChunkData[2] = promise);
/******/
/******/ 				// start chunk loading
/******/ 				var script = document.createElement('script');
/******/ 				var onScriptComplete;
/******/
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.src = jsonpScriptSrc(chunkId);
/******/
/******/ 				// create error before stack unwound to get useful stacktrace later
/******/ 				var error = new Error();
/******/ 				onScriptComplete = function (event) {
/******/ 					// avoid mem leaks in IE.
/******/ 					script.onerror = script.onload = null;
/******/ 					clearTimeout(timeout);
/******/ 					var chunk = installedChunks[chunkId];
/******/ 					if(chunk !== 0) {
/******/ 						if(chunk) {
/******/ 							var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 							var realSrc = event && event.target && event.target.src;
/******/ 							error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 							error.name = 'ChunkLoadError';
/******/ 							error.type = errorType;
/******/ 							error.request = realSrc;
/******/ 							chunk[1](error);
/******/ 						}
/******/ 						installedChunks[chunkId] = undefined;
/******/ 					}
/******/ 				};
/******/ 				var timeout = setTimeout(function(){
/******/ 					onScriptComplete({ type: 'timeout', target: script });
/******/ 				}, 120000);
/******/ 				script.onerror = script.onload = onScriptComplete;
/******/ 				document.head.appendChild(script);
/******/ 			}
/******/ 		}
/******/ 		return Promise.all(promises);
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/MAAS/r/";
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 6);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(global) {/* unused harmony export BOOTSTRAPPING */
/* unused harmony export LOADING_SOURCE_CODE */
/* unused harmony export LOAD_ERROR */
/* unused harmony export MOUNTED */
/* unused harmony export MOUNTING */
/* unused harmony export NOT_BOOTSTRAPPED */
/* unused harmony export NOT_LOADED */
/* unused harmony export NOT_MOUNTED */
/* unused harmony export SKIP_BECAUSE_BROKEN */
/* unused harmony export UNMOUNTING */
/* unused harmony export UPDATING */
/* unused harmony export addErrorHandler */
/* unused harmony export checkActivityFunctions */
/* unused harmony export ensureJQuerySupport */
/* unused harmony export getAppNames */
/* unused harmony export getAppStatus */
/* unused harmony export getMountedApps */
/* unused harmony export mountRootParcel */
/* unused harmony export navigateToUrl */
/* unused harmony export pathToActiveWhen */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Pt; });
/* unused harmony export removeErrorHandler */
/* unused harmony export setBootstrapMaxTime */
/* unused harmony export setMountMaxTime */
/* unused harmony export setUnloadMaxTime */
/* unused harmony export setUnmountMaxTime */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return Rt; });
/* unused harmony export triggerAppChange */
/* unused harmony export unloadApplication */
/* single-spa@5.5.5 - ESM - prod */
var t = Object.freeze({
  __proto__: null,

  get start() {
    return Rt;
  },

  get ensureJQuerySupport() {
    return ft;
  },

  get setBootstrapMaxTime() {
    return F;
  },

  get setMountMaxTime() {
    return J;
  },

  get setUnmountMaxTime() {
    return H;
  },

  get setUnloadMaxTime() {
    return Q;
  },

  get registerApplication() {
    return Pt;
  },

  get getMountedApps() {
    return Et;
  },

  get getAppStatus() {
    return Tt;
  },

  get unloadApplication() {
    return bt;
  },

  get checkActivityFunctions() {
    return Ot;
  },

  get getAppNames() {
    return yt;
  },

  get pathToActiveWhen() {
    return Nt;
  },

  get navigateToUrl() {
    return nt;
  },

  get triggerAppChange() {
    return Mt;
  },

  get addErrorHandler() {
    return a;
  },

  get removeErrorHandler() {
    return c;
  },

  get mountRootParcel() {
    return W;
  },

  get NOT_LOADED() {
    return l;
  },

  get LOADING_SOURCE_CODE() {
    return p;
  },

  get NOT_BOOTSTRAPPED() {
    return h;
  },

  get BOOTSTRAPPING() {
    return m;
  },

  get NOT_MOUNTED() {
    return d;
  },

  get MOUNTING() {
    return v;
  },

  get UPDATING() {
    return g;
  },

  get LOAD_ERROR() {
    return y;
  },

  get MOUNTED() {
    return w;
  },

  get UNMOUNTING() {
    return E;
  },

  get SKIP_BECAUSE_BROKEN() {
    return T;
  }

});

function n(t) {
  return (n = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (t) {
    return typeof t;
  } : function (t) {
    return t && "function" == typeof Symbol && t.constructor === Symbol && t !== Symbol.prototype ? "symbol" : typeof t;
  })(t);
}

function e(t, n, e) {
  return n in t ? Object.defineProperty(t, n, {
    value: e,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : t[n] = e, t;
}

var r = ("undefined" != typeof globalThis ? globalThis : "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof self ? self : {}).CustomEvent,
    o = function () {
  try {
    var t = new r("cat", {
      detail: {
        foo: "bar"
      }
    });
    return "cat" === t.type && "bar" === t.detail.foo;
  } catch (t) {}

  return !1;
}() ? r : "undefined" != typeof document && "function" == typeof document.createEvent ? function (t, n) {
  var e = document.createEvent("CustomEvent");
  return n ? e.initCustomEvent(t, n.bubbles, n.cancelable, n.detail) : e.initCustomEvent(t, !1, !1, void 0), e;
} : function (t, n) {
  var e = document.createEventObject();
  return e.type = t, n ? (e.bubbles = Boolean(n.bubbles), e.cancelable = Boolean(n.cancelable), e.detail = n.detail) : (e.bubbles = !1, e.cancelable = !1, e.detail = void 0), e;
},
    i = [];

function u(t, n, e) {
  var r = f(t, n, e);
  i.length ? i.forEach(function (t) {
    return t(r);
  }) : setTimeout(function () {
    throw r;
  });
}

function a(t) {
  if ("function" != typeof t) throw Error(s(28, !1));
  i.push(t);
}

function c(t) {
  if ("function" != typeof t) throw Error(s(29, !1));
  var n = !1;
  return i = i.filter(function (e) {
    var r = e === t;
    return n = n || r, !r;
  }), n;
}

function s(t, n) {
  for (var e = arguments.length, r = new Array(e > 2 ? e - 2 : 0), o = 2; o < e; o++) r[o - 2] = arguments[o];

  return "single-spa minified message #".concat(t, ": ").concat(n ? n + " " : "", "See https://single-spa.js.org/error/?code=").concat(t).concat(r.length ? "&arg=".concat(r.join("&arg=")) : "");
}

function f(t, n, e) {
  var r,
      o = "".concat(S(n), " '").concat(b(n), "' died in status ").concat(n.status, ": ");

  if (t instanceof Error) {
    try {
      t.message = o + t.message;
    } catch (t) {}

    r = t;
  } else {
    console.warn(s(30, !1, n.status, b(n)));

    try {
      r = Error(o + JSON.stringify(t));
    } catch (n) {
      r = t;
    }
  }

  return r.appOrParcelName = b(n), n.status = e, r;
}

var l = "NOT_LOADED",
    p = "LOADING_SOURCE_CODE",
    h = "NOT_BOOTSTRAPPED",
    m = "BOOTSTRAPPING",
    d = "NOT_MOUNTED",
    v = "MOUNTING",
    w = "MOUNTED",
    g = "UPDATING",
    E = "UNMOUNTING",
    y = "LOAD_ERROR",
    T = "SKIP_BECAUSE_BROKEN";

function P(t) {
  return t.status === w;
}

function O(t) {
  try {
    return t.activeWhen(window.location);
  } catch (n) {
    return u(n, t, T), !1;
  }
}

function b(t) {
  return t.name;
}

function A(t) {
  return Boolean(t.unmountThisParcel);
}

function S(t) {
  return A(t) ? "parcel" : "application";
}

function N() {
  for (var t = arguments.length - 1; t > 0; t--) for (var n in arguments[t]) "__proto__" !== n && (arguments[t - 1][n] = arguments[t][n]);

  return arguments[0];
}

function _(t, n) {
  for (var e = 0; e < t.length; e++) if (n(t[e])) return t[e];

  return null;
}

function D(t) {
  return t && ("function" == typeof t || (n = t, Array.isArray(n) && !_(n, function (t) {
    return "function" != typeof t;
  })));
  var n;
}

function M(t, n) {
  var e = t[n] || [];
  0 === (e = Array.isArray(e) ? e : [e]).length && (e = [function () {
    return Promise.resolve();
  }]);
  var r = S(t),
      o = b(t);
  return function (t) {
    return e.reduce(function (e, i, u) {
      return e.then(function () {
        var e = i(t);
        return U(e) ? e : Promise.reject(s(15, !1, r, o, n, u));
      });
    }, Promise.resolve());
  };
}

function U(t) {
  return t && "function" == typeof t.then && "function" == typeof t.catch;
}

function j(t, n) {
  return Promise.resolve().then(function () {
    return t.status !== h ? t : (t.status = m, V(t, "bootstrap").then(function () {
      return t.status = d, t;
    }).catch(function (e) {
      if (n) throw f(e, t, T);
      return u(e, t, T), t;
    }));
  });
}

function L(t, n) {
  return Promise.resolve().then(function () {
    if (t.status !== w) return t;
    t.status = E;
    var e = Object.keys(t.parcels).map(function (n) {
      return t.parcels[n].unmountThisParcel();
    });
    return Promise.all(e).then(r, function (e) {
      return r().then(function () {
        var r = Error(e.message);
        if (n) throw f(r, t, T);
        u(r, t, T);
      });
    }).then(function () {
      return t;
    });

    function r() {
      return V(t, "unmount").then(function () {
        t.status = d;
      }).catch(function (e) {
        if (n) throw f(e, t, T);
        u(e, t, T);
      });
    }
  });
}

var R = !1,
    x = !1;

function I(t, n) {
  return Promise.resolve().then(function () {
    return t.status !== d ? t : (R || (window.dispatchEvent(new o("single-spa:before-first-mount")), R = !0), V(t, "mount").then(function () {
      return t.status = w, x || (window.dispatchEvent(new o("single-spa:first-mount")), x = !0), t;
    }).catch(function (e) {
      return t.status = w, L(t, !0).then(r, r);

      function r() {
        if (n) throw f(e, t, T);
        return u(e, t, T), t;
      }
    }));
  });
}

var B = 0,
    G = {
  parcels: {}
};

function W() {
  return C.apply(G, arguments);
}

function C(t, e) {
  var r = this;
  if (!t || "object" !== n(t) && "function" != typeof t) throw Error(s(2, !1));
  if (t.name && "string" != typeof t.name) throw Error(s(3, !1, n(t.name)));
  if ("object" !== n(e)) throw Error(s(4, !1, name, n(e)));
  if (!e.domElement) throw Error(s(5, !1, name));
  var o,
      i = B++,
      u = "function" == typeof t,
      a = u ? t : function () {
    return Promise.resolve(t);
  },
      c = {
    id: i,
    parcels: {},
    status: u ? p : h,
    customProps: e,
    parentName: b(r),
    unmountThisParcel: function () {
      if (c.status !== w) throw Error(s(6, !1, name, c.status));
      return L(c, !0).then(function (t) {
        return c.parentName && delete r.parcels[c.id], t;
      }).then(function (t) {
        return m(t), t;
      }).catch(function (t) {
        throw c.status = T, v(t), t;
      });
    }
  };
  r.parcels[i] = c;
  var l = a();
  if (!l || "function" != typeof l.then) throw Error(s(7, !1));
  var m,
      v,
      E = (l = l.then(function (t) {
    if (!t) throw Error(s(8, !1));
    var n = t.name || "parcel-".concat(i);
    if (!D(t.bootstrap)) throw Error(s(9, !1, n));
    if (!D(t.mount)) throw Error(s(10, !1, n));
    if (!D(t.unmount)) throw Error(s(11, !1, n));
    if (t.update && !D(t.update)) throw Error(s(12, !1, n));
    var e = M(t, "bootstrap"),
        r = M(t, "mount"),
        u = M(t, "unmount");
    c.status = h, c.name = n, c.bootstrap = e, c.mount = r, c.unmount = u, c.timeouts = q(t.timeouts), t.update && (c.update = M(t, "update"), o.update = function (t) {
      return c.customProps = t, $(function (t) {
        return Promise.resolve().then(function () {
          if (t.status !== w) throw Error(s(32, !1, b(t)));
          return t.status = g, V(t, "update").then(function () {
            return t.status = w, t;
          }).catch(function (n) {
            throw f(n, t, T);
          });
        });
      }(c));
    });
  })).then(function () {
    return j(c, !0);
  }),
      y = E.then(function () {
    return I(c, !0);
  }),
      P = new Promise(function (t, n) {
    m = t, v = n;
  });
  return o = {
    mount: function () {
      return $(Promise.resolve().then(function () {
        if (c.status !== d) throw Error(s(13, !1, name, c.status));
        return r.parcels[i] = c, I(c);
      }));
    },
    unmount: function () {
      return $(c.unmountThisParcel());
    },
    getStatus: function () {
      return c.status;
    },
    loadPromise: $(l),
    bootstrapPromise: $(E),
    mountPromise: $(y),
    unmountPromise: $(P)
  };
}

function $(t) {
  return t.then(function () {
    return null;
  });
}

function k(e) {
  var r = b(e),
      o = "function" == typeof e.customProps ? e.customProps(r, window.location) : e.customProps;
  ("object" !== n(o) || null === o || Array.isArray(o)) && (o = {}, console.warn(s(40, !1), r, o));
  var i = N({}, o, {
    name: r,
    mountParcel: C.bind(e),
    singleSpa: t
  });
  return A(e) && (i.unmountSelf = e.unmountThisParcel), i;
}

var K = {
  bootstrap: {
    millis: 4e3,
    dieOnTimeout: !1,
    warningMillis: 1e3
  },
  mount: {
    millis: 3e3,
    dieOnTimeout: !1,
    warningMillis: 1e3
  },
  unmount: {
    millis: 3e3,
    dieOnTimeout: !1,
    warningMillis: 1e3
  },
  unload: {
    millis: 3e3,
    dieOnTimeout: !1,
    warningMillis: 1e3
  },
  update: {
    millis: 3e3,
    dieOnTimeout: !1,
    warningMillis: 1e3
  }
};

function F(t, n, e) {
  if ("number" != typeof t || t <= 0) throw Error(s(16, !1));
  K.bootstrap = {
    millis: t,
    dieOnTimeout: n,
    warningMillis: e || 1e3
  };
}

function J(t, n, e) {
  if ("number" != typeof t || t <= 0) throw Error(s(17, !1));
  K.mount = {
    millis: t,
    dieOnTimeout: n,
    warningMillis: e || 1e3
  };
}

function H(t, n, e) {
  if ("number" != typeof t || t <= 0) throw Error(s(18, !1));
  K.unmount = {
    millis: t,
    dieOnTimeout: n,
    warningMillis: e || 1e3
  };
}

function Q(t, n, e) {
  if ("number" != typeof t || t <= 0) throw Error(s(19, !1));
  K.unload = {
    millis: t,
    dieOnTimeout: n,
    warningMillis: e || 1e3
  };
}

function V(t, n) {
  var e = t.timeouts[n],
      r = e.warningMillis,
      o = S(t);
  return new Promise(function (i, u) {
    var a = !1,
        c = !1;
    t[n](k(t)).then(function (t) {
      a = !0, i(t);
    }).catch(function (t) {
      a = !0, u(t);
    }), setTimeout(function () {
      return l(1);
    }, r), setTimeout(function () {
      return l(!0);
    }, e.millis);
    var f = s(31, !1, n, o, b(t), e.millis);

    function l(t) {
      if (!a) if (!0 === t) c = !0, e.dieOnTimeout ? u(Error(f)) : console.error(f);else if (!c) {
        var n = t,
            o = n * r;
        console.warn(f), o + r < e.millis && setTimeout(function () {
          return l(n + 1);
        }, r);
      }
    }
  });
}

function q(t) {
  var n = {};

  for (var e in K) n[e] = N({}, K[e], t && t[e] || {});

  return n;
}

function z(t) {
  return Promise.resolve().then(function () {
    return t.loadPromise ? t.loadPromise : t.status !== l && t.status !== y ? t : (t.status = p, t.loadPromise = Promise.resolve().then(function () {
      var o = t.loadApp(k(t));
      if (!U(o)) throw r = !0, Error(s(33, !1, b(t)));
      return o.then(function (r) {
        var o;
        t.loadErrorTime = null, "object" !== n(e = r) && (o = 34), D(e.bootstrap) || (o = 35), D(e.mount) || (o = 36), D(e.unmount) || (o = 37);
        var i = S(e);

        if (o) {
          var a;

          try {
            a = JSON.stringify(e);
          } catch (t) {}

          return console.error(s(o, !1, i, b(t), a), e), u(void 0, t, T), t;
        }

        return e.devtools && e.devtools.overlays && (t.devtools.overlays = N({}, t.devtools.overlays, e.devtools.overlays)), t.status = h, t.bootstrap = M(e, "bootstrap"), t.mount = M(e, "mount"), t.unmount = M(e, "unmount"), t.unload = M(e, "unload"), t.timeouts = q(e.timeouts), delete t.loadPromise, t;
      });
    }).catch(function (n) {
      var e;
      return delete t.loadPromise, r ? e = T : (e = y, t.loadErrorTime = new Date().getTime()), u(n, t, e), t;
    }));
    var e, r;
  });
}

var X,
    Y = "undefined" != typeof window,
    Z = {
  hashchange: [],
  popstate: []
},
    tt = ["hashchange", "popstate"];

function nt(t) {
  var n;
  if ("string" == typeof t) n = t;else if (this && this.href) n = this.href;else {
    if (!(t && t.currentTarget && t.currentTarget.href && t.preventDefault)) throw Error(s(14, !1));
    n = t.currentTarget.href, t.preventDefault();
  }
  var e = ct(window.location.href),
      r = ct(n);
  0 === n.indexOf("#") ? window.location.hash = r.hash : e.host !== r.host && r.host ? window.location.href = n : r.pathname === e.pathname && r.search === e.search ? window.location.hash = r.hash : window.history.pushState(null, null, n);
}

function et(t) {
  var n = this;

  if (t) {
    var e = t[0].type;
    tt.indexOf(e) >= 0 && Z[e].forEach(function (e) {
      try {
        e.apply(n, t);
      } catch (t) {
        setTimeout(function () {
          throw t;
        });
      }
    });
  }
}

function rt() {
  Ut([], arguments);
}

function ot(t, n) {
  return function () {
    var e = window.location.href,
        r = t.apply(this, arguments),
        o = window.location.href;
    return X && e === o || rt(it(window.history.state, n)), r;
  };
}

function it(t, n) {
  var e;

  try {
    e = new PopStateEvent("popstate", {
      state: t
    });
  } catch (n) {
    (e = document.createEvent("PopStateEvent")).initPopStateEvent("popstate", !1, !1, t);
  }

  return e.singleSpa = !0, e.singleSpaTrigger = n, e;
}

if (Y) {
  window.addEventListener("hashchange", rt), window.addEventListener("popstate", rt);
  var ut = window.addEventListener,
      at = window.removeEventListener;
  window.addEventListener = function (t, n) {
    if (!("function" == typeof n && tt.indexOf(t) >= 0) || _(Z[t], function (t) {
      return t === n;
    })) return ut.apply(this, arguments);
    Z[t].push(n);
  }, window.removeEventListener = function (t, n) {
    if (!("function" == typeof n && tt.indexOf(t) >= 0)) return at.apply(this, arguments);
    Z[t] = Z[t].filter(function (t) {
      return t !== n;
    });
  }, window.history.pushState = ot(window.history.pushState, "pushState"), window.history.replaceState = ot(window.history.replaceState, "replaceState"), window.singleSpaNavigate ? console.warn(s(41, !1)) : window.singleSpaNavigate = nt;
}

function ct(t) {
  var n = document.createElement("a");
  return n.href = t, n;
}

var st = !1;

function ft() {
  var t = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : window.jQuery;

  if (t || window.$ && window.$.fn && window.$.fn.jquery && (t = window.$), t && !st) {
    var n = t.fn.on,
        e = t.fn.off;
    t.fn.on = function (t, e) {
      return lt.call(this, n, window.addEventListener, t, e, arguments);
    }, t.fn.off = function (t, n) {
      return lt.call(this, e, window.removeEventListener, t, n, arguments);
    }, st = !0;
  }
}

function lt(t, n, e, r, o) {
  return "string" != typeof e ? t.apply(this, o) : (e.split(/\s+/).forEach(function (t) {
    tt.indexOf(t) >= 0 && (n(t, r), e = e.replace(t, ""));
  }), "" === e.trim() ? this : t.apply(this, o));
}

var pt = {};

function ht(t) {
  return Promise.resolve().then(function () {
    var n = pt[b(t)];
    return n ? t.status === l ? (mt(t, n), t) : "UNLOADING" === t.status ? n.promise.then(function () {
      return t;
    }) : t.status !== d ? t : (t.status = "UNLOADING", V(t, "unload").then(function () {
      return mt(t, n), t;
    }).catch(function (e) {
      return function (t, n, e) {
        delete pt[b(t)], delete t.bootstrap, delete t.mount, delete t.unmount, delete t.unload, u(e, t, T), n.reject(e);
      }(t, n, e), t;
    })) : t;
  });
}

function mt(t, n) {
  delete pt[b(t)], delete t.bootstrap, delete t.mount, delete t.unmount, delete t.unload, t.status = l, n.resolve();
}

function dt(t, n, e, r) {
  pt[b(t)] = {
    app: t,
    resolve: e,
    reject: r
  }, Object.defineProperty(pt[b(t)], "promise", {
    get: n
  });
}

function vt(t) {
  return pt[t];
}

var wt = [];

function gt() {
  var t = [],
      n = [],
      e = [],
      r = [],
      o = new Date().getTime();
  return wt.forEach(function (i) {
    var u = i.status !== T && O(i);

    switch (i.status) {
      case y:
        o - i.loadErrorTime >= 200 && e.push(i);
        break;

      case l:
      case p:
        u && e.push(i);
        break;

      case h:
      case d:
        !u && vt(b(i)) ? t.push(i) : u && r.push(i);
        break;

      case w:
        u || n.push(i);
    }
  }), {
    appsToUnload: t,
    appsToUnmount: n,
    appsToLoad: e,
    appsToMount: r
  };
}

function Et() {
  return wt.filter(P).map(b);
}

function yt() {
  return wt.map(b);
}

function Tt(t) {
  var n = _(wt, function (n) {
    return b(n) === t;
  });

  return n ? n.status : null;
}

function Pt(t, e, r, o) {
  var i = function (t, e, r, o) {
    var i,
        u = {
      name: null,
      loadApp: null,
      activeWhen: null,
      customProps: null
    };
    return "object" === n(t) ? (function (t) {
      if (Array.isArray(t) || null === t) throw Error(s(39, !1));
      var e = ["name", "app", "activeWhen", "customProps"],
          r = Object.keys(t).reduce(function (t, n) {
        return e.indexOf(n) >= 0 ? t : t.concat(n);
      }, []);
      if (0 !== r.length) throw Error(s(38, !1, e.join(", "), r.join(", ")));
      if ("string" != typeof t.name || 0 === t.name.length) throw Error(s(20, !1));
      if ("object" !== n(t.app) && "function" != typeof t.app) throw Error(s(20, !1));

      var o = function (t) {
        return "string" == typeof t || "function" == typeof t;
      };

      if (!(o(t.activeWhen) || Array.isArray(t.activeWhen) && t.activeWhen.every(o))) throw Error(s(24, !1));
      if (!St(t.customProps)) throw Error(s(22, !1));
    }(t), u.name = t.name, u.loadApp = t.app, u.activeWhen = t.activeWhen, u.customProps = t.customProps) : (function (t, n, e, r) {
      if ("string" != typeof t || 0 === t.length) throw Error(s(20, !1));
      if (!n) throw Error(s(23, !1));
      if ("function" != typeof e) throw Error(s(24, !1));
      if (!St(r)) throw Error(s(22, !1));
    }(t, e, r, o), u.name = t, u.loadApp = e, u.activeWhen = r, u.customProps = o), u.loadApp = "function" != typeof (i = u.loadApp) ? function () {
      return Promise.resolve(i);
    } : i, u.customProps = function (t) {
      return t || {};
    }(u.customProps), u.activeWhen = function (t) {
      var n = Array.isArray(t) ? t : [t];
      return n = n.map(function (t) {
        return "function" == typeof t ? t : Nt(t);
      }), function (t) {
        return n.some(function (n) {
          return n(t);
        });
      };
    }(u.activeWhen), u;
  }(t, e, r, o);

  if (-1 !== yt().indexOf(i.name)) throw Error(s(21, !1, i.name));
  wt.push(N({
    loadErrorTime: null,
    status: l,
    parcels: {},
    devtools: {
      overlays: {
        options: {},
        selectors: []
      }
    }
  }, i)), Y && (ft(), Ut());
}

function Ot() {
  var t = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : window.location;
  return wt.filter(function (n) {
    return n.activeWhen(t);
  }).map(b);
}

function bt(t) {
  var n = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : {
    waitForUnmount: !1
  };
  if ("string" != typeof t) throw Error(s(26, !1));

  var e = _(wt, function (n) {
    return b(n) === t;
  });

  if (!e) throw Error(s(27, !1, t));
  var r,
      o = vt(b(e));

  if (n && n.waitForUnmount) {
    if (o) return o.promise;
    var i = new Promise(function (t, n) {
      dt(e, function () {
        return i;
      }, t, n);
    });
    return i;
  }

  return o ? (r = o.promise, At(e, o.resolve, o.reject)) : r = new Promise(function (t, n) {
    dt(e, function () {
      return r;
    }, t, n), At(e, t, n);
  }), r;
}

function At(t, n, e) {
  L(t).then(ht).then(function () {
    n(), setTimeout(function () {
      Ut();
    });
  }).catch(e);
}

function St(t) {
  return !t || "function" == typeof t || "object" === n(t) && null !== t && !Array.isArray(t);
}

function Nt(t) {
  var n = function (t) {
    var n = 0,
        e = !1,
        r = "^";
    "/" !== t[0] && (t = "/" + t);

    for (var o = 0; o < t.length; o++) {
      var i = t[o];
      (!e && ":" === i || e && "/" === i) && u(o);
    }

    return u(t.length), new RegExp(r, "i");

    function u(o) {
      var i = t.slice(n, o).replace(/[|\\{}()[\]^$+*?.]/g, "\\$&");
      r += e ? "[^/]+/?" : i, o !== t.length || e || (r = "/" === r.charAt(r.length - 1) ? "".concat(r, ".*$") : "".concat(r, "([/#].*)?$")), e = !e, n = o;
    }
  }(t);

  return function (t) {
    var e = t.href.replace(t.origin, "").replace(t.search, "").split("?")[0];
    return n.test(e);
  };
}

var _t = !1,
    Dt = [];

function Mt() {
  return Ut();
}

function Ut() {
  var t = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : [],
      n = arguments.length > 1 ? arguments[1] : void 0;
  if (_t) return new Promise(function (t, e) {
    Dt.push({
      resolve: t,
      reject: e,
      eventArguments: n
    });
  });
  var r,
      i = gt(),
      u = i.appsToUnload,
      a = i.appsToUnmount,
      c = i.appsToLoad,
      s = i.appsToMount;
  return xt() ? (_t = !0, r = u.concat(c, a, s), p()) : (r = c, f());

  function f() {
    return Promise.resolve().then(function () {
      var t = c.map(z);
      return Promise.all(t).then(m).then(function () {
        return [];
      }).catch(function (t) {
        throw m(), t;
      });
    });
  }

  function p() {
    return Promise.resolve().then(function () {
      window.dispatchEvent(new o(0 === r.length ? "single-spa:before-no-app-change" : "single-spa:before-app-change", v(!0))), window.dispatchEvent(new o("single-spa:before-routing-event", v(!0)));
      var n = u.map(ht),
          e = a.map(L).map(function (t) {
        return t.then(ht);
      }).concat(n),
          i = Promise.all(e);
      i.then(function () {
        window.dispatchEvent(new o("single-spa:before-mount-routing-event", v(!0)));
      });
      var f = c.map(function (t) {
        return z(t).then(function (t) {
          return jt(t, i);
        });
      }),
          l = s.filter(function (t) {
        return c.indexOf(t) < 0;
      }).map(function (t) {
        return jt(t, i);
      });
      return i.catch(function (t) {
        throw m(), t;
      }).then(function () {
        return m(), Promise.all(f.concat(l)).catch(function (n) {
          throw t.forEach(function (t) {
            return t.reject(n);
          }), n;
        }).then(h);
      });
    });
  }

  function h() {
    var n = Et();
    t.forEach(function (t) {
      return t.resolve(n);
    });

    try {
      var e = 0 === r.length ? "single-spa:no-app-change" : "single-spa:app-change";
      window.dispatchEvent(new o(e, v())), window.dispatchEvent(new o("single-spa:routing-event", v()));
    } catch (t) {
      setTimeout(function () {
        throw t;
      });
    }

    if (_t = !1, Dt.length > 0) {
      var i = Dt;
      Dt = [], Ut(i);
    }

    return n;
  }

  function m() {
    t.forEach(function (t) {
      et(t.eventArguments);
    }), et(n);
  }

  function v() {
    var t,
        o = arguments.length > 0 && void 0 !== arguments[0] && arguments[0],
        i = {},
        f = (e(t = {}, w, []), e(t, d, []), e(t, l, []), e(t, T, []), t);
    return o ? (c.concat(s).forEach(function (t, n) {
      p(t, w);
    }), u.forEach(function (t) {
      p(t, l);
    }), a.forEach(function (t) {
      p(t, d);
    })) : r.forEach(function (t) {
      p(t);
    }), {
      detail: {
        newAppStatuses: i,
        appsByNewStatus: f,
        totalAppChanges: r.length,
        originalEvent: null == n ? void 0 : n[0]
      }
    };

    function p(t, n) {
      var e = b(t);
      n = n || Tt(e), i[e] = n, (f[n] = f[n] || []).push(e);
    }
  }
}

function jt(t, n) {
  return O(t) ? j(t).then(function (t) {
    return n.then(function () {
      return O(t) ? I(t) : t;
    });
  }) : n.then(function () {
    return t;
  });
}

var Lt = !1;

function Rt(t) {
  var n;
  Lt = !0, t && t.urlRerouteOnly && (n = t.urlRerouteOnly, X = n), Y && Ut();
}

function xt() {
  return Lt;
}

Y && setTimeout(function () {
  Lt || console.warn(s(1, !1));
}, 5e3);
var It = {
  getRawAppData: function () {
    return [].concat(wt);
  },
  reroute: Ut,
  NOT_LOADED: l,
  toLoadPromise: z,
  toBootstrapPromise: j,
  unregisterApplication: function (t) {
    if (0 === wt.filter(function (n) {
      return b(n) === t;
    }).length) throw Error(s(25, !1, t));
    return bt(t).then(function () {
      var n = wt.map(b).indexOf(t);
      wt.splice(n, 1);
    });
  }
};
Y && window.__SINGLE_SPA_DEVTOOLS__ && (window.__SINGLE_SPA_DEVTOOLS__.exposedMethods = It);

/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(19)))

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
if (false) { var throwOnDirectAccess, ReactIs; } else {
  // By explicitly using `prop-types` you are opting into new production behavior.
  // http://fb.me/prop-types-in-prod
  module.exports = __webpack_require__(10)();
}

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


if (true) {
  module.exports = __webpack_require__(12);
} else {}

/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Header", {
  enumerable: true,
  get: function get() {
    return _Header["default"];
  }
});
Object.defineProperty(exports, "Footer", {
  enumerable: true,
  get: function get() {
    return _Footer["default"];
  }
});
Object.defineProperty(exports, "BASENAME", {
  enumerable: true,
  get: function get() {
    return _utils.BASENAME;
  }
});
Object.defineProperty(exports, "generateBaseURL", {
  enumerable: true,
  get: function get() {
    return _utils.generateBaseURL;
  }
});
Object.defineProperty(exports, "generateLegacyURL", {
  enumerable: true,
  get: function get() {
    return _utils.generateLegacyURL;
  }
});
Object.defineProperty(exports, "generateNewURL", {
  enumerable: true,
  get: function get() {
    return _utils.generateNewURL;
  }
});
Object.defineProperty(exports, "LEGACY_BASENAME", {
  enumerable: true,
  get: function get() {
    return _utils.LEGACY_BASENAME;
  }
});
Object.defineProperty(exports, "navigateToLegacy", {
  enumerable: true,
  get: function get() {
    return _utils.navigateToLegacy;
  }
});
Object.defineProperty(exports, "navigateToNew", {
  enumerable: true,
  get: function get() {
    return _utils.navigateToNew;
  }
});
Object.defineProperty(exports, "REACT_BASENAME", {
  enumerable: true,
  get: function get() {
    return _utils.REACT_BASENAME;
  }
});

var _Header = _interopRequireDefault(__webpack_require__(7));

var _Footer = _interopRequireDefault(__webpack_require__(17));

var _utils = __webpack_require__(5);

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

/***/ }),
/* 4 */
/***/ (function(module) {

module.exports = JSON.parse("{\"a\":\"@maas-ui/maas-ui\",\"b\":\"1.3.1\"}");

/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(process) {

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.navigateToNew = exports.navigateToLegacy = exports.generateBaseURL = exports.generateNewURL = exports.generateLegacyURL = exports.REACT_BASENAME = exports.LEGACY_BASENAME = exports.BASENAME = void 0;
var BASENAME = process && process.env && process.env.BASENAME || "/MAAS";
exports.BASENAME = BASENAME;
var LEGACY_BASENAME = process && process.env && process.env.LEGACY_BASENAME || "/l";
exports.LEGACY_BASENAME = LEGACY_BASENAME;
var REACT_BASENAME = process && process.env && process.env.REACT_BASENAME || "/r";
exports.REACT_BASENAME = REACT_BASENAME;

var generateLegacyURL = function generateLegacyURL(route) {
  return "".concat(BASENAME).concat(LEGACY_BASENAME).concat(route || "");
};

exports.generateLegacyURL = generateLegacyURL;

var generateNewURL = function generateNewURL(route) {
  var appendBase = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  return "".concat(appendBase ? BASENAME : "").concat(REACT_BASENAME).concat(route || "");
};

exports.generateNewURL = generateNewURL;

var generateBaseURL = function generateBaseURL(route) {
  return "".concat(BASENAME).concat(route || "");
};

exports.generateBaseURL = generateBaseURL;

var pushRoute = function pushRoute(route) {
  return window.history.pushState(null, null, route);
};

var navigate = function navigate(route, evt) {
  if (evt) {
    // Handle ctrl/command/middle clicking etc. the links to open in a new tab.
    // Inspired by how this is handled in react-router:
    // https://github.com/ReactTraining/react-router/blob/f466c8c4156b6fcdb6baf4fcc723758f7eceeb4b/packages/react-router-dom/modules/Link.js#L43
    var isLeftClick = evt.button === 0;
    var hasModifierKey = evt.metaKey || evt.altKey || evt.ctrlKey || evt.shiftKey;

    if (isLeftClick && !hasModifierKey) {
      evt.preventDefault();
      pushRoute(route);
    }
  } else {
    // If there is no event (e.g. for a redirect) then navigate directly.
    pushRoute(route);
  }
};

var navigateToLegacy = function navigateToLegacy(route, evt) {
  navigate(generateLegacyURL(route), evt);
};

exports.navigateToLegacy = navigateToLegacy;

var navigateToNew = function navigateToNew(route, evt) {
  navigate(generateNewURL(route), evt);
};

exports.navigateToNew = navigateToNew;
/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(16)))

/***/ }),
/* 6 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _maas_ui_maas_ui_shared__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3);
/* harmony import */ var _maas_ui_maas_ui_shared__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_maas_ui_maas_ui_shared__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var single_spa__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(0);
/* harmony import */ var _ui_package_json__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4);
var _ui_package_json__WEBPACK_IMPORTED_MODULE_2___namespace = /*#__PURE__*/__webpack_require__.t(4, 1);
/* harmony import */ var _scss_base_scss__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(20);
/* harmony import */ var _scss_base_scss__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_scss_base_scss__WEBPACK_IMPORTED_MODULE_3__);





const showLoading = () => {
  const loadingNode = document.querySelector(".root-loading");

  if (loadingNode.classList.contains("u-hide")) {
    loadingNode.classList.remove("u-hide");
  }
};

console.info(`${_ui_package_json__WEBPACK_IMPORTED_MODULE_2__[/* name */ "a"]} ${_ui_package_json__WEBPACK_IMPORTED_MODULE_2__[/* version */ "b"]} (${"b8d0cca3f"}).`);
window.addEventListener("single-spa:before-app-change", evt => {
  const {
    legacy,
    ui
  } = evt.detail.newAppStatuses;
  const uiStylesheet = document.querySelector(".ui-stylesheet");
  const legacyStylesheet = document.querySelector(".legacy-stylesheet");

  if (uiStylesheet) {
    if (ui === "MOUNTED") {
      uiStylesheet.disabled = false;
    } else if (ui === "NOT_MOUNTED") {
      uiStylesheet.disabled = true;
    }
  }

  if (legacyStylesheet) {
    if (legacy === "MOUNTED") {
      legacyStylesheet.disabled = false;
    } else if (legacy === "NOT_MOUNTED") {
      legacyStylesheet.disabled = true;
    }
  }
});
Object(single_spa__WEBPACK_IMPORTED_MODULE_1__[/* registerApplication */ "a"])({
  name: "legacy",
  app: () => {
    showLoading();
    return __webpack_require__.e(/* import() */ 1).then(__webpack_require__.t.bind(null, 21, 7));
  },
  activeWhen: location => location.pathname.startsWith(Object(_maas_ui_maas_ui_shared__WEBPACK_IMPORTED_MODULE_0__["generateLegacyURL"])()) || location.hash.startsWith("#")
});
Object(single_spa__WEBPACK_IMPORTED_MODULE_1__[/* registerApplication */ "a"])({
  name: "ui",
  app: () => {
    showLoading();
    return __webpack_require__.e(/* import() */ 2).then(__webpack_require__.t.bind(null, 22, 7));
  },
  activeWhen: location => location.pathname.startsWith(Object(_maas_ui_maas_ui_shared__WEBPACK_IMPORTED_MODULE_0__["generateNewURL"])()) && !location.hash.startsWith("#")
});
Object(single_spa__WEBPACK_IMPORTED_MODULE_1__[/* start */ "b"])();

/***/ }),
/* 7 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "default", {
  enumerable: true,
  get: function get() {
    return _Header["default"];
  }
});

var _Header = _interopRequireDefault(__webpack_require__(8));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }

  return _typeof(obj);
}

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Header = void 0;

var _classnames = _interopRequireDefault(__webpack_require__(9));

var _propTypes = _interopRequireDefault(__webpack_require__(1));

var _react = _interopRequireWildcard(__webpack_require__(2));

var _HardwareMenu = _interopRequireDefault(__webpack_require__(14));

var _utils = __webpack_require__(5);

function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function") return null;
  var cache = new WeakMap();

  _getRequireWildcardCache = function _getRequireWildcardCache() {
    return cache;
  };

  return cache;
}

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }

  var cache = _getRequireWildcardCache();

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj["default"] = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }

  return arr2;
}

function _iterableToArrayLimit(arr, i) {
  if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return;
  var _arr = [];
  var _n = true;
  var _d = false;
  var _e = undefined;

  try {
    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

var useVisible = function useVisible(initialValue) {
  var _useState = (0, _react.useState)(initialValue),
      _useState2 = _slicedToArray(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  var toggleValue = function toggleValue(evt) {
    var preventDefault = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

    if (preventDefault) {
      evt.preventDefault();
    }

    setValue(!value);
  };

  return [value, toggleValue];
};

var Header = function Header(_ref) {
  var _ref$appendNewBase = _ref.appendNewBase,
      appendNewBase = _ref$appendNewBase === void 0 ? true : _ref$appendNewBase,
      authUser = _ref.authUser,
      completedIntro = _ref.completedIntro,
      debug = _ref.debug,
      enableAnalytics = _ref.enableAnalytics,
      generateLocalLink = _ref.generateLocalLink,
      location = _ref.location,
      logout = _ref.logout,
      onSkip = _ref.onSkip,
      rootScope = _ref.rootScope,
      showRSD = _ref.showRSD,
      urlChange = _ref.urlChange,
      uuid = _ref.uuid,
      version = _ref.version;

  var _useVisible = useVisible(false),
      _useVisible2 = _slicedToArray(_useVisible, 2),
      hardwareMenuOpen = _useVisible2[0],
      toggleHardwareMenu = _useVisible2[1];

  var _useVisible3 = useVisible(false),
      _useVisible4 = _slicedToArray(_useVisible3, 2),
      mobileMenuOpen = _useVisible4[0],
      toggleMobileMenu = _useVisible4[1];

  (0, _react.useEffect)(function () {
    var unlisten;

    if (!debug && enableAnalytics && uuid && version && authUser) {
      (function (w, d, s, l, i) {
        w[l] = w[l] || [];
        w[l].push({
          "gtm.start": new Date().getTime(),
          event: "gtm.js"
        });
        var f = d.getElementsByTagName(s)[0],
            j = d.createElement(s),
            dl = l !== "dataLayer" ? "&l=" + l : "";
        j.async = true;
        var src = "https://www.googletagmanager.com/gtm.js?id=" + i + dl;
        j.src = src;

        if (document.querySelectorAll("script[src=\"".concat(src, "\"]")).length === 0) {
          f.parentNode.insertBefore(j, f);
        }
      })(window, document, "script", "dataLayer", "GTM-P4TGJR9");

      window.ga = window.ga || function () {
        (window.ga.q = window.ga.q || []).push(arguments);
      };

      window.ga.l = +new Date();
      window.ga("create", "UA-1018242-63", "auto", {
        userId: "".concat(uuid, "-").concat(authUser.id)
      });
      window.ga("set", "dimension1", version);
      window.ga("set", "dimension2", uuid);

      var sendPageview = function sendPageview() {
        var path = window.location.pathname + window.location.search;
        window.ga("send", "pageview", path);
      };

      if (rootScope) {
        rootScope.$on("$routeChangeSuccess", sendPageview);
      } else if (urlChange) {
        unlisten = urlChange(sendPageview);
      }
    }

    return function () {
      unlisten && unlisten();
    };
  }, [debug, enableAnalytics, uuid, version, authUser, rootScope, urlChange]);
  var links = [{
    inHardwareMenu: true,
    isLegacy: false,
    label: "Machines",
    url: "/machines"
  }, {
    inHardwareMenu: true,
    isLegacy: true,
    label: "Devices",
    url: "/devices"
  }, {
    adminOnly: true,
    inHardwareMenu: true,
    isLegacy: true,
    label: "Controllers",
    url: "/controllers"
  }, {
    inHardwareMenu: true,
    label: "KVM",
    url: "/kvm"
  }, {
    hidden: !showRSD,
    inHardwareMenu: true,
    isLegacy: true,
    label: "RSD",
    url: "/rsd"
  }, {
    isLegacy: true,
    label: "Images",
    url: "/images"
  }, {
    isLegacy: true,
    label: "DNS",
    url: "/domains"
  }, {
    isLegacy: true,
    label: "AZs",
    url: "/zones"
  }, {
    isLegacy: true,
    label: "Subnets",
    url: "/networks?by=fabric"
  }, {
    adminOnly: true,
    isLegacy: false,
    label: "Settings",
    url: "/settings"
  }] // Remove the admin only items if the user is not an admin.
  .filter(function (_ref2) {
    var adminOnly = _ref2.adminOnly;
    return !adminOnly || authUser && authUser.is_superuser;
  }) // Remove the hidden items.
  .filter(function (_ref3) {
    var hidden = _ref3.hidden;
    return !hidden;
  });

  var generateURL = function generateURL(url, isLegacy) {
    if (isLegacy) {
      return (0, _utils.generateLegacyURL)(url);
    } else if (appendNewBase) {
      return (0, _utils.generateNewURL)(url, appendNewBase);
    }

    return url;
  };

  var generateLink = function generateLink(link) {
    var linkClass = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : undefined;
    var isLegacy = link.isLegacy,
        label = link.label,
        url = link.url;
    var linkURL = generateURL(url, isLegacy);
    return generateLocalLink && !isLegacy ? generateLocalLink(linkURL, label, linkClass) : /*#__PURE__*/_react["default"].createElement("a", {
      className: linkClass,
      href: linkURL,
      onClick: function onClick(evt) {
        if (isLegacy) {
          (0, _utils.navigateToLegacy)(url, evt);
        } else {
          (0, _utils.navigateToNew)(url, evt);
        }
      }
    }, label);
  };

  var generateNavItems = function generateNavItems(links) {
    var hardwareLinks = links.filter(function (link) {
      return link.inHardwareMenu;
    });
    var path = location.pathname + location.search;
    var linkItems = links.map(function (link) {
      return /*#__PURE__*/_react["default"].createElement("li", {
        className: (0, _classnames["default"])("p-navigation__link", {
          "is-selected": path.startsWith(generateURL(link.url, link.isLegacy)),
          "u-hide--hardware-menu-threshold": link.inHardwareMenu
        }),
        key: link.url,
        role: "menuitem"
      }, generateLink(link));
    });
    return /*#__PURE__*/_react["default"].createElement("nav", {
      className: (0, _classnames["default"])("p-navigation__nav", {
        "u-show": mobileMenuOpen
      })
    }, /*#__PURE__*/_react["default"].createElement("span", {
      className: "u-off-screen"
    }, /*#__PURE__*/_react["default"].createElement("a", {
      href: "#main-content"
    }, "Jump to main content")), /*#__PURE__*/_react["default"].createElement("ul", {
      className: "p-navigation__links",
      role: "menu"
    }, completedIntro && /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("li", {
      className: (0, _classnames["default"])("p-navigation__link p-subnav is-dark hardware-menu", {
        "is-active": hardwareMenuOpen
      }),
      role: "menuitem"
    }, /*#__PURE__*/_react["default"].createElement("a", {
      onClick: toggleHardwareMenu,
      className: "hardware-menu__toggle"
    }, "Hardware"), hardwareMenuOpen && /*#__PURE__*/_react["default"].createElement(_HardwareMenu["default"], {
      generateLink: generateLink,
      links: hardwareLinks,
      toggleHardwareMenu: toggleHardwareMenu
    })), linkItems)), /*#__PURE__*/_react["default"].createElement("ul", {
      className: "p-navigation__links",
      role: "menu"
    }, !completedIntro && /*#__PURE__*/_react["default"].createElement("li", {
      className: "p-navigation__link",
      role: "menuitem"
    }, /*#__PURE__*/_react["default"].createElement("a", {
      onClick: function onClick(evt) {
        evt.preventDefault();
        onSkip();
      },
      "data-test": "skipIntro"
    }, "Skip")), /*#__PURE__*/_react["default"].createElement("li", {
      className: (0, _classnames["default"])("p-navigation__link", {
        "is-selected": location.pathname.startsWith(generateURL("/account/prefs", false))
      }),
      role: "menuitem"
    }, generateLink({
      url: "/account/prefs",
      label: authUser.username
    })), /*#__PURE__*/_react["default"].createElement("li", {
      className: "p-navigation__link",
      role: "menuitem"
    }, /*#__PURE__*/_react["default"].createElement("a", {
      onClick: function onClick(evt) {
        evt.preventDefault();
        localStorage.removeItem("maas-config");
        logout();
      }
    }, "Log out"))));
  };

  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("header", {
    id: "navigation",
    className: "p-navigation is-dark"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "p-navigation__row row"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "p-navigation__banner"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "p-navigation__logo"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: (0, _utils.generateLegacyURL)("/dashboard"),
    className: "p-navigation__link"
  }, /*#__PURE__*/_react["default"].createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "100",
    height: "25.2",
    viewBox: "545.3 412.6 100 25.2",
    alt: "",
    className: "p-navigation__image"
  }, /*#__PURE__*/_react["default"].createElement("title", null, "MAAS logo"), /*#__PURE__*/_react["default"].createElement("path", {
    fill: "#E95420",
    d: "M557.9 412.6c-7 0-12.6 5.7-12.6 12.6 0 7 5.7 12.6 12.6 12.6 7 0 12.6-5.7 12.6-12.6 0-7-5.6-12.6-12.6-12.6z"
  }), /*#__PURE__*/_react["default"].createElement("g", {
    fill: "#FFF"
  }, /*#__PURE__*/_react["default"].createElement("path", {
    d: "M563.8 419.2h-11.9c-.3 0-.5.2-.5.5v.7c0 .3.2.5.5.5h11.9c.3 0 .5-.2.5-.5v-.7c.1-.3-.2-.5-.5-.5zM563.8 422.6h-11.9c-.3 0-.5.2-.5.5v.7c0 .3.2.5.5.5h11.9c.3 0 .5-.2.5-.5v-.7c.1-.3-.2-.5-.5-.5zM563.8 426h-11.9c-.3 0-.5.2-.5.5v.7c0 .3.2.5.5.5h11.9c.3 0 .5-.2.5-.5v-.7c.1-.2-.2-.5-.5-.5zM563.8 429.4h-11.9c-.3 0-.5.2-.5.5v.7c0 .3.2.5.5.5h11.9c.3 0 .5-.2.5-.5v-.6c.1-.3-.2-.6-.5-.6z"
  })), /*#__PURE__*/_react["default"].createElement("g", {
    fill: "#FFF"
  }, /*#__PURE__*/_react["default"].createElement("path", {
    d: "M587.1 431.3c-.2-.4-.4-1-.7-1.7-.3-.7-.7-1.5-1.1-2.3-.4-.8-.8-1.7-1.2-2.5-.4-.9-.8-1.7-1.2-2.5l-1-2-.6-1.2c-.2 2.1-.4 4.4-.5 6.9-.1 2.5-.2 5.1-.3 7.8h-1.7c.2-3.2.3-6.3.5-9.2s.4-5.8.7-8.4h1.5c.5.9 1.1 1.8 1.6 2.9.6 1.1 1.2 2.3 1.7 3.5.6 1.2 1.1 2.4 1.7 3.5s1 2.2 1.4 3.1c.4-.9.9-2 1.4-3.1.5-1.2 1.1-2.3 1.7-3.5.6-1.2 1.1-2.4 1.7-3.5.6-1.1 1.1-2.1 1.6-2.9h1.5c.3 2.7.5 5.5.7 8.4s.4 6 .5 9.2h-1.8c-.1-2.7-.2-5.3-.3-7.8-.1-2.5-.3-4.8-.5-6.9l-.6 1.2-1 2c-.4.8-.8 1.6-1.2 2.5-.4.9-.8 1.7-1.2 2.5-.4.8-.7 1.6-1.1 2.3-.3.7-.6 1.3-.7 1.7h-1.5zM613.1 433.9c-.3-.9-.6-1.7-.9-2.5-.3-.8-.6-1.6-.8-2.3h-8.6c-.3.8-.6 1.5-.9 2.3-.3.8-.6 1.6-.9 2.5h-1.8c.7-1.8 1.3-3.6 1.9-5.1.6-1.6 1.2-3.1 1.8-4.5.6-1.4 1.1-2.8 1.7-4.1l1.8-3.9h1.5l1.8 3.9c.6 1.3 1.1 2.7 1.7 4.1.6 1.4 1.2 2.9 1.7 4.5.6 1.6 1.2 3.3 1.9 5.1h-1.9zm-6-15.7c-.6 1.5-1.3 3-1.9 4.5-.6 1.5-1.2 3.1-1.9 4.9h7.5c-.7-1.8-1.3-3.4-1.9-4.9-.6-1.6-1.2-3.1-1.8-4.5zM630.4 433.9c-.3-.9-.6-1.7-.9-2.5-.3-.8-.6-1.6-.8-2.3H620c-.3.8-.6 1.5-.9 2.3-.3.8-.6 1.6-.9 2.5h-1.8c.7-1.8 1.3-3.6 1.9-5.1.6-1.6 1.2-3.1 1.8-4.5.6-1.4 1.1-2.8 1.7-4.1l1.8-3.9h1.5l1.8 3.9c.6 1.3 1.1 2.7 1.7 4.1s1.2 2.9 1.7 4.5c.6 1.6 1.2 3.3 1.9 5.1h-1.8zm-6.1-15.7c-.6 1.5-1.3 3-1.9 4.5-.6 1.5-1.2 3.1-1.9 4.9h7.5c-.7-1.8-1.3-3.4-1.9-4.9-.5-1.6-1.1-3.1-1.8-4.5zM639.1 432.7c1.4 0 2.4-.3 3.2-.8.8-.5 1.1-1.3 1.1-2.4 0-.6-.1-1.2-.4-1.6-.2-.4-.6-.8-1-1.1s-.9-.6-1.4-.8c-.5-.2-1.1-.4-1.7-.7-.7-.3-1.4-.6-2-.9-.6-.3-1.1-.6-1.5-1-.4-.4-.7-.8-.9-1.3-.2-.5-.3-1.1-.3-1.7 0-1.5.5-2.7 1.5-3.4s2.4-1.2 4.2-1.2c.5 0 .9 0 1.4.1s.9.2 1.3.3c.4.1.8.2 1.1.4.3.1.6.3.8.4l-.6 1.5c-.5-.3-1.1-.6-1.8-.8s-1.5-.3-2.3-.3c-.6 0-1.1.1-1.5.2-.5.1-.9.3-1.2.5s-.6.6-.8.9c-.2.4-.3.8-.3 1.4 0 .5.1 1 .3 1.4.2.4.5.7.9 1 .4.3.8.5 1.3.7.5.2 1 .5 1.6.7.7.3 1.4.6 2 .9.6.3 1.2.6 1.6 1 .5.4.8.9 1.1 1.4.3.6.4 1.2.4 2.1 0 1.6-.6 2.8-1.7 3.6s-2.6 1.2-4.5 1.2c-.7 0-1.3 0-1.9-.1s-1.1-.2-1.5-.3c-.4-.1-.8-.3-1.1-.4-.3-.1-.5-.3-.7-.4l.6-1.5c.2.1.4.2.7.4.3.1.6.3 1 .4.4.1.8.2 1.3.3.6-.1 1.1-.1 1.7-.1z"
  }))))), /*#__PURE__*/_react["default"].createElement("a", {
    className: "p-navigation__toggle--open",
    title: "Toggle menu",
    onClick: toggleMobileMenu
  }, mobileMenuOpen ? "Close menu" : "Menu")), authUser && generateNavItems(links))));
};

exports.Header = Header;
Header.propTypes = {
  appendNewBase: _propTypes["default"].bool,
  authUser: _propTypes["default"].shape({
    id: _propTypes["default"].number,
    is_superuser: _propTypes["default"].bool,
    username: _propTypes["default"].string
  }),
  completedIntro: _propTypes["default"].bool,
  debug: _propTypes["default"].bool,
  enableAnalytics: _propTypes["default"].bool,
  generateLocalLink: _propTypes["default"].func,
  location: _propTypes["default"].shape({
    search: _propTypes["default"].string,
    pathname: _propTypes["default"].string.isRequired
  }).isRequired,
  logout: _propTypes["default"].func.isRequired,
  onSkip: _propTypes["default"].func,
  rootScope: _propTypes["default"].object,
  showRSD: _propTypes["default"].bool,
  urlChange: _propTypes["default"].func,
  uuid: _propTypes["default"].string,
  version: _propTypes["default"].string
};
var _default = Header;
exports["default"] = _default;

/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
  Copyright (c) 2017 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/

/* global define */
(function () {
  'use strict';

  var hasOwn = {}.hasOwnProperty;

  function classNames() {
    var classes = [];

    for (var i = 0; i < arguments.length; i++) {
      var arg = arguments[i];
      if (!arg) continue;
      var argType = typeof arg;

      if (argType === 'string' || argType === 'number') {
        classes.push(arg);
      } else if (Array.isArray(arg) && arg.length) {
        var inner = classNames.apply(null, arg);

        if (inner) {
          classes.push(inner);
        }
      } else if (argType === 'object') {
        for (var key in arg) {
          if (hasOwn.call(arg, key) && arg[key]) {
            classes.push(key);
          }
        }
      }
    }

    return classes.join(' ');
  }

  if ( true && module.exports) {
    classNames.default = classNames;
    module.exports = classNames;
  } else if (true) {
    // register as 'classnames', consistent with npm package name
    !(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
      return classNames;
    }).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
  } else {}
})();

/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */


var ReactPropTypesSecret = __webpack_require__(11);

function emptyFunction() {}

function emptyFunctionWithReset() {}

emptyFunctionWithReset.resetWarningCache = emptyFunction;

module.exports = function () {
  function shim(props, propName, componentName, location, propFullName, secret) {
    if (secret === ReactPropTypesSecret) {
      // It is still safe when called from React.
      return;
    }

    var err = new Error('Calling PropTypes validators directly is not supported by the `prop-types` package. ' + 'Use PropTypes.checkPropTypes() to call them. ' + 'Read more at http://fb.me/use-check-prop-types');
    err.name = 'Invariant Violation';
    throw err;
  }

  ;
  shim.isRequired = shim;

  function getShim() {
    return shim;
  }

  ; // Important!
  // Keep this list in sync with production version in `./factoryWithTypeCheckers.js`.

  var ReactPropTypes = {
    array: shim,
    bool: shim,
    func: shim,
    number: shim,
    object: shim,
    string: shim,
    symbol: shim,
    any: shim,
    arrayOf: getShim,
    element: shim,
    elementType: shim,
    instanceOf: getShim,
    node: shim,
    objectOf: getShim,
    oneOf: getShim,
    oneOfType: getShim,
    shape: getShim,
    exact: getShim,
    checkPropTypes: emptyFunctionWithReset,
    resetWarningCache: emptyFunction
  };
  ReactPropTypes.PropTypes = ReactPropTypes;
  return ReactPropTypes;
};

/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */


var ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';
module.exports = ReactPropTypesSecret;

/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/** @license React v16.13.1
 * react.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */


var l = __webpack_require__(13),
    n = "function" === typeof Symbol && Symbol.for,
    p = n ? Symbol.for("react.element") : 60103,
    q = n ? Symbol.for("react.portal") : 60106,
    r = n ? Symbol.for("react.fragment") : 60107,
    t = n ? Symbol.for("react.strict_mode") : 60108,
    u = n ? Symbol.for("react.profiler") : 60114,
    v = n ? Symbol.for("react.provider") : 60109,
    w = n ? Symbol.for("react.context") : 60110,
    x = n ? Symbol.for("react.forward_ref") : 60112,
    y = n ? Symbol.for("react.suspense") : 60113,
    z = n ? Symbol.for("react.memo") : 60115,
    A = n ? Symbol.for("react.lazy") : 60116,
    B = "function" === typeof Symbol && Symbol.iterator;

function C(a) {
  for (var b = "https://reactjs.org/docs/error-decoder.html?invariant=" + a, c = 1; c < arguments.length; c++) b += "&args[]=" + encodeURIComponent(arguments[c]);

  return "Minified React error #" + a + "; visit " + b + " for the full message or use the non-minified dev environment for full errors and additional helpful warnings.";
}

var D = {
  isMounted: function () {
    return !1;
  },
  enqueueForceUpdate: function () {},
  enqueueReplaceState: function () {},
  enqueueSetState: function () {}
},
    E = {};

function F(a, b, c) {
  this.props = a;
  this.context = b;
  this.refs = E;
  this.updater = c || D;
}

F.prototype.isReactComponent = {};

F.prototype.setState = function (a, b) {
  if ("object" !== typeof a && "function" !== typeof a && null != a) throw Error(C(85));
  this.updater.enqueueSetState(this, a, b, "setState");
};

F.prototype.forceUpdate = function (a) {
  this.updater.enqueueForceUpdate(this, a, "forceUpdate");
};

function G() {}

G.prototype = F.prototype;

function H(a, b, c) {
  this.props = a;
  this.context = b;
  this.refs = E;
  this.updater = c || D;
}

var I = H.prototype = new G();
I.constructor = H;
l(I, F.prototype);
I.isPureReactComponent = !0;
var J = {
  current: null
},
    K = Object.prototype.hasOwnProperty,
    L = {
  key: !0,
  ref: !0,
  __self: !0,
  __source: !0
};

function M(a, b, c) {
  var e,
      d = {},
      g = null,
      k = null;
  if (null != b) for (e in void 0 !== b.ref && (k = b.ref), void 0 !== b.key && (g = "" + b.key), b) K.call(b, e) && !L.hasOwnProperty(e) && (d[e] = b[e]);
  var f = arguments.length - 2;
  if (1 === f) d.children = c;else if (1 < f) {
    for (var h = Array(f), m = 0; m < f; m++) h[m] = arguments[m + 2];

    d.children = h;
  }
  if (a && a.defaultProps) for (e in f = a.defaultProps, f) void 0 === d[e] && (d[e] = f[e]);
  return {
    $$typeof: p,
    type: a,
    key: g,
    ref: k,
    props: d,
    _owner: J.current
  };
}

function N(a, b) {
  return {
    $$typeof: p,
    type: a.type,
    key: b,
    ref: a.ref,
    props: a.props,
    _owner: a._owner
  };
}

function O(a) {
  return "object" === typeof a && null !== a && a.$$typeof === p;
}

function escape(a) {
  var b = {
    "=": "=0",
    ":": "=2"
  };
  return "$" + ("" + a).replace(/[=:]/g, function (a) {
    return b[a];
  });
}

var P = /\/+/g,
    Q = [];

function R(a, b, c, e) {
  if (Q.length) {
    var d = Q.pop();
    d.result = a;
    d.keyPrefix = b;
    d.func = c;
    d.context = e;
    d.count = 0;
    return d;
  }

  return {
    result: a,
    keyPrefix: b,
    func: c,
    context: e,
    count: 0
  };
}

function S(a) {
  a.result = null;
  a.keyPrefix = null;
  a.func = null;
  a.context = null;
  a.count = 0;
  10 > Q.length && Q.push(a);
}

function T(a, b, c, e) {
  var d = typeof a;
  if ("undefined" === d || "boolean" === d) a = null;
  var g = !1;
  if (null === a) g = !0;else switch (d) {
    case "string":
    case "number":
      g = !0;
      break;

    case "object":
      switch (a.$$typeof) {
        case p:
        case q:
          g = !0;
      }

  }
  if (g) return c(e, a, "" === b ? "." + U(a, 0) : b), 1;
  g = 0;
  b = "" === b ? "." : b + ":";
  if (Array.isArray(a)) for (var k = 0; k < a.length; k++) {
    d = a[k];
    var f = b + U(d, k);
    g += T(d, f, c, e);
  } else if (null === a || "object" !== typeof a ? f = null : (f = B && a[B] || a["@@iterator"], f = "function" === typeof f ? f : null), "function" === typeof f) for (a = f.call(a), k = 0; !(d = a.next()).done;) d = d.value, f = b + U(d, k++), g += T(d, f, c, e);else if ("object" === d) throw c = "" + a, Error(C(31, "[object Object]" === c ? "object with keys {" + Object.keys(a).join(", ") + "}" : c, ""));
  return g;
}

function V(a, b, c) {
  return null == a ? 0 : T(a, "", b, c);
}

function U(a, b) {
  return "object" === typeof a && null !== a && null != a.key ? escape(a.key) : b.toString(36);
}

function W(a, b) {
  a.func.call(a.context, b, a.count++);
}

function aa(a, b, c) {
  var e = a.result,
      d = a.keyPrefix;
  a = a.func.call(a.context, b, a.count++);
  Array.isArray(a) ? X(a, e, c, function (a) {
    return a;
  }) : null != a && (O(a) && (a = N(a, d + (!a.key || b && b.key === a.key ? "" : ("" + a.key).replace(P, "$&/") + "/") + c)), e.push(a));
}

function X(a, b, c, e, d) {
  var g = "";
  null != c && (g = ("" + c).replace(P, "$&/") + "/");
  b = R(b, g, e, d);
  V(a, aa, b);
  S(b);
}

var Y = {
  current: null
};

function Z() {
  var a = Y.current;
  if (null === a) throw Error(C(321));
  return a;
}

var ba = {
  ReactCurrentDispatcher: Y,
  ReactCurrentBatchConfig: {
    suspense: null
  },
  ReactCurrentOwner: J,
  IsSomeRendererActing: {
    current: !1
  },
  assign: l
};
exports.Children = {
  map: function (a, b, c) {
    if (null == a) return a;
    var e = [];
    X(a, e, null, b, c);
    return e;
  },
  forEach: function (a, b, c) {
    if (null == a) return a;
    b = R(null, null, b, c);
    V(a, W, b);
    S(b);
  },
  count: function (a) {
    return V(a, function () {
      return null;
    }, null);
  },
  toArray: function (a) {
    var b = [];
    X(a, b, null, function (a) {
      return a;
    });
    return b;
  },
  only: function (a) {
    if (!O(a)) throw Error(C(143));
    return a;
  }
};
exports.Component = F;
exports.Fragment = r;
exports.Profiler = u;
exports.PureComponent = H;
exports.StrictMode = t;
exports.Suspense = y;
exports.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = ba;

exports.cloneElement = function (a, b, c) {
  if (null === a || void 0 === a) throw Error(C(267, a));
  var e = l({}, a.props),
      d = a.key,
      g = a.ref,
      k = a._owner;

  if (null != b) {
    void 0 !== b.ref && (g = b.ref, k = J.current);
    void 0 !== b.key && (d = "" + b.key);
    if (a.type && a.type.defaultProps) var f = a.type.defaultProps;

    for (h in b) K.call(b, h) && !L.hasOwnProperty(h) && (e[h] = void 0 === b[h] && void 0 !== f ? f[h] : b[h]);
  }

  var h = arguments.length - 2;
  if (1 === h) e.children = c;else if (1 < h) {
    f = Array(h);

    for (var m = 0; m < h; m++) f[m] = arguments[m + 2];

    e.children = f;
  }
  return {
    $$typeof: p,
    type: a.type,
    key: d,
    ref: g,
    props: e,
    _owner: k
  };
};

exports.createContext = function (a, b) {
  void 0 === b && (b = null);
  a = {
    $$typeof: w,
    _calculateChangedBits: b,
    _currentValue: a,
    _currentValue2: a,
    _threadCount: 0,
    Provider: null,
    Consumer: null
  };
  a.Provider = {
    $$typeof: v,
    _context: a
  };
  return a.Consumer = a;
};

exports.createElement = M;

exports.createFactory = function (a) {
  var b = M.bind(null, a);
  b.type = a;
  return b;
};

exports.createRef = function () {
  return {
    current: null
  };
};

exports.forwardRef = function (a) {
  return {
    $$typeof: x,
    render: a
  };
};

exports.isValidElement = O;

exports.lazy = function (a) {
  return {
    $$typeof: A,
    _ctor: a,
    _status: -1,
    _result: null
  };
};

exports.memo = function (a, b) {
  return {
    $$typeof: z,
    type: a,
    compare: void 0 === b ? null : b
  };
};

exports.useCallback = function (a, b) {
  return Z().useCallback(a, b);
};

exports.useContext = function (a, b) {
  return Z().useContext(a, b);
};

exports.useDebugValue = function () {};

exports.useEffect = function (a, b) {
  return Z().useEffect(a, b);
};

exports.useImperativeHandle = function (a, b, c) {
  return Z().useImperativeHandle(a, b, c);
};

exports.useLayoutEffect = function (a, b) {
  return Z().useLayoutEffect(a, b);
};

exports.useMemo = function (a, b) {
  return Z().useMemo(a, b);
};

exports.useReducer = function (a, b, c) {
  return Z().useReducer(a, b, c);
};

exports.useRef = function (a) {
  return Z().useRef(a);
};

exports.useState = function (a) {
  return Z().useState(a);
};

exports.version = "16.13.1";

/***/ }),
/* 13 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/*
object-assign
(c) Sindre Sorhus
@license MIT
*/

/* eslint-disable no-unused-vars */

var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;

function toObject(val) {
  if (val === null || val === undefined) {
    throw new TypeError('Object.assign cannot be called with null or undefined');
  }

  return Object(val);
}

function shouldUseNative() {
  try {
    if (!Object.assign) {
      return false;
    } // Detect buggy property enumeration order in older V8 versions.
    // https://bugs.chromium.org/p/v8/issues/detail?id=4118


    var test1 = new String('abc'); // eslint-disable-line no-new-wrappers

    test1[5] = 'de';

    if (Object.getOwnPropertyNames(test1)[0] === '5') {
      return false;
    } // https://bugs.chromium.org/p/v8/issues/detail?id=3056


    var test2 = {};

    for (var i = 0; i < 10; i++) {
      test2['_' + String.fromCharCode(i)] = i;
    }

    var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
      return test2[n];
    });

    if (order2.join('') !== '0123456789') {
      return false;
    } // https://bugs.chromium.org/p/v8/issues/detail?id=3056


    var test3 = {};
    'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
      test3[letter] = letter;
    });

    if (Object.keys(Object.assign({}, test3)).join('') !== 'abcdefghijklmnopqrst') {
      return false;
    }

    return true;
  } catch (err) {
    // We don't expect any of the above to throw, but better to be safe.
    return false;
  }
}

module.exports = shouldUseNative() ? Object.assign : function (target, source) {
  var from;
  var to = toObject(target);
  var symbols;

  for (var s = 1; s < arguments.length; s++) {
    from = Object(arguments[s]);

    for (var key in from) {
      if (hasOwnProperty.call(from, key)) {
        to[key] = from[key];
      }
    }

    if (getOwnPropertySymbols) {
      symbols = getOwnPropertySymbols(from);

      for (var i = 0; i < symbols.length; i++) {
        if (propIsEnumerable.call(from, symbols[i])) {
          to[symbols[i]] = from[symbols[i]];
        }
      }
    }
  }

  return to;
};

/***/ }),
/* 14 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "default", {
  enumerable: true,
  get: function get() {
    return _HardwareMenu["default"];
  }
});

var _HardwareMenu = _interopRequireDefault(__webpack_require__(15));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }

  return _typeof(obj);
}

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.HardwareMenu = void 0;

var _propTypes = _interopRequireDefault(__webpack_require__(1));

var _react = _interopRequireWildcard(__webpack_require__(2));

function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function") return null;
  var cache = new WeakMap();

  _getRequireWildcardCache = function _getRequireWildcardCache() {
    return cache;
  };

  return cache;
}

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }

  var cache = _getRequireWildcardCache();

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj["default"] = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

var HardwareMenu = function HardwareMenu(_ref) {
  var generateLink = _ref.generateLink,
      links = _ref.links,
      toggleHardwareMenu = _ref.toggleHardwareMenu;
  var wrapperRef = (0, _react.useRef)(null);
  var handleClickOutsideRef = (0, _react.useRef)(null);
  (0, _react.useEffect)(function () {
    if (handleClickOutsideRef.current) {
      // Clean up the previous listener.
      document.removeEventListener("click", handleClickOutsideRef.current, true);
    }

    handleClickOutsideRef.current = function (event) {
      if (wrapperRef.current && !wrapperRef.current.contains(event.target) && !event.target.className.includes("hardware-menu__toggle")) {
        toggleHardwareMenu(event);
      }
    };

    document.addEventListener("click", handleClickOutsideRef.current, true);
    return function () {
      // Remove the listener when the component is unmounted.
      document.removeEventListener("click", handleClickOutsideRef.current, true);
    };
  }, [toggleHardwareMenu]);
  return /*#__PURE__*/_react["default"].createElement("ul", {
    className: "p-subnav__items",
    ref: wrapperRef
  }, links.map(function (link) {
    return (
      /*#__PURE__*/
      // eslint-disable-next-line
      _react["default"].createElement("li", {
        key: link.url,
        onClick: function onClick(event) {
          toggleHardwareMenu(event, false);
        }
      }, generateLink(link, "p-subnav__item", toggleHardwareMenu))
    );
  }));
};

exports.HardwareMenu = HardwareMenu;
HardwareMenu.propTypes = {
  generateLink: _propTypes["default"].func.isRequired,
  links: _propTypes["default"].array.isRequired,
  toggleHardwareMenu: _propTypes["default"].func.isRequired
};
var _default = HardwareMenu;
exports["default"] = _default;

/***/ }),
/* 16 */
/***/ (function(module, exports) {

// shim for using process in browser
var process = module.exports = {}; // cached from whatever global is present so that test runners that stub it
// don't break things.  But we need to wrap it in a try catch in case it is
// wrapped in strict mode code which doesn't define any globals.  It's inside a
// function because try/catches deoptimize in certain engines.

var cachedSetTimeout;
var cachedClearTimeout;

function defaultSetTimout() {
  throw new Error('setTimeout has not been defined');
}

function defaultClearTimeout() {
  throw new Error('clearTimeout has not been defined');
}

(function () {
  try {
    if (typeof setTimeout === 'function') {
      cachedSetTimeout = setTimeout;
    } else {
      cachedSetTimeout = defaultSetTimout;
    }
  } catch (e) {
    cachedSetTimeout = defaultSetTimout;
  }

  try {
    if (typeof clearTimeout === 'function') {
      cachedClearTimeout = clearTimeout;
    } else {
      cachedClearTimeout = defaultClearTimeout;
    }
  } catch (e) {
    cachedClearTimeout = defaultClearTimeout;
  }
})();

function runTimeout(fun) {
  if (cachedSetTimeout === setTimeout) {
    //normal enviroments in sane situations
    return setTimeout(fun, 0);
  } // if setTimeout wasn't available but was latter defined


  if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {
    cachedSetTimeout = setTimeout;
    return setTimeout(fun, 0);
  }

  try {
    // when when somebody has screwed with setTimeout but no I.E. maddness
    return cachedSetTimeout(fun, 0);
  } catch (e) {
    try {
      // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
      return cachedSetTimeout.call(null, fun, 0);
    } catch (e) {
      // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
      return cachedSetTimeout.call(this, fun, 0);
    }
  }
}

function runClearTimeout(marker) {
  if (cachedClearTimeout === clearTimeout) {
    //normal enviroments in sane situations
    return clearTimeout(marker);
  } // if clearTimeout wasn't available but was latter defined


  if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {
    cachedClearTimeout = clearTimeout;
    return clearTimeout(marker);
  }

  try {
    // when when somebody has screwed with setTimeout but no I.E. maddness
    return cachedClearTimeout(marker);
  } catch (e) {
    try {
      // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
      return cachedClearTimeout.call(null, marker);
    } catch (e) {
      // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
      // Some versions of I.E. have different rules for clearTimeout vs setTimeout
      return cachedClearTimeout.call(this, marker);
    }
  }
}

var queue = [];
var draining = false;
var currentQueue;
var queueIndex = -1;

function cleanUpNextTick() {
  if (!draining || !currentQueue) {
    return;
  }

  draining = false;

  if (currentQueue.length) {
    queue = currentQueue.concat(queue);
  } else {
    queueIndex = -1;
  }

  if (queue.length) {
    drainQueue();
  }
}

function drainQueue() {
  if (draining) {
    return;
  }

  var timeout = runTimeout(cleanUpNextTick);
  draining = true;
  var len = queue.length;

  while (len) {
    currentQueue = queue;
    queue = [];

    while (++queueIndex < len) {
      if (currentQueue) {
        currentQueue[queueIndex].run();
      }
    }

    queueIndex = -1;
    len = queue.length;
  }

  currentQueue = null;
  draining = false;
  runClearTimeout(timeout);
}

process.nextTick = function (fun) {
  var args = new Array(arguments.length - 1);

  if (arguments.length > 1) {
    for (var i = 1; i < arguments.length; i++) {
      args[i - 1] = arguments[i];
    }
  }

  queue.push(new Item(fun, args));

  if (queue.length === 1 && !draining) {
    runTimeout(drainQueue);
  }
}; // v8 likes predictible objects


function Item(fun, array) {
  this.fun = fun;
  this.array = array;
}

Item.prototype.run = function () {
  this.fun.apply(null, this.array);
};

process.title = 'browser';
process.browser = true;
process.env = {};
process.argv = [];
process.version = ''; // empty string to avoid regexp issues

process.versions = {};

function noop() {}

process.on = noop;
process.addListener = noop;
process.once = noop;
process.off = noop;
process.removeListener = noop;
process.removeAllListeners = noop;
process.emit = noop;
process.prependListener = noop;
process.prependOnceListener = noop;

process.listeners = function (name) {
  return [];
};

process.binding = function (name) {
  throw new Error('process.binding is not supported');
};

process.cwd = function () {
  return '/';
};

process.chdir = function (dir) {
  throw new Error('process.chdir is not supported');
};

process.umask = function () {
  return 0;
};

/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "default", {
  enumerable: true,
  get: function get() {
    return _Footer["default"];
  }
});

var _Footer = _interopRequireDefault(__webpack_require__(18));

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


function _typeof(obj) {
  "@babel/helpers - typeof";

  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }

  return _typeof(obj);
}

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Footer = void 0;

var _propTypes = _interopRequireDefault(__webpack_require__(1));

var _react = _interopRequireWildcard(__webpack_require__(2));

function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function") return null;
  var cache = new WeakMap();

  _getRequireWildcardCache = function _getRequireWildcardCache() {
    return cache;
  };

  return cache;
}

function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }

  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }

  var cache = _getRequireWildcardCache();

  if (cache && cache.has(obj)) {
    return cache.get(obj);
  }

  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;

  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;

      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }

  newObj["default"] = obj;

  if (cache) {
    cache.set(obj, newObj);
  }

  return newObj;
}

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}

var Footer = function Footer(_ref) {
  var enableAnalytics = _ref.enableAnalytics,
      debug = _ref.debug,
      maasName = _ref.maasName,
      version = _ref.version;
  (0, _react.useEffect)(function () {
    if (!debug && enableAnalytics && version) {
      // Inject the the Usabilla script.
      // prettier-ignore
      // eslint-disable-next-line
      window.lightningjs || function (c) {
        function g(b, d) {
          d && (d += (/\?/.test(d) ? "&" : "?") + "lv=1");
          c[b] || function () {
            var i = window,
                h = document,
                j = b,
                g = h.location.protocol,
                l = "load",
                k = 0;

            (function () {
              function b() {
                a.P(l);
                a.w = 1;
                c[j]("_load");
              }

              c[j] = function () {
                function m() {
                  m.id = e;
                  return c[j].apply(m, arguments);
                }

                var b,
                    e = ++k;
                b = this && this != i ? this.id || 0 : 0;
                (a.s = a.s || []).push([e, b, arguments]);

                m.then = function (b, c, h) {
                  var d = a.fh[e] = a.fh[e] || [],
                      j = a.eh[e] = a.eh[e] || [],
                      f = a.ph[e] = a.ph[e] || [];
                  b && d.push(b);
                  c && j.push(c);
                  h && f.push(h);
                  return m;
                };

                return m;
              };

              var a = c[j]._ = {};
              a.fh = {};
              a.eh = {};
              a.ph = {};
              a.l = d ? d.replace(/^\/\//, (g == "https:" ? g : "http:") + "//") : d;
              a.p = {
                0: +new Date()
              };

              a.P = function (b) {
                a.p[b] = new Date() - a.p[0];
              };

              a.w && b();
              i.addEventListener ? i.addEventListener(l, b, !1) : i.attachEvent("on" + l, b);

              var q = function q() {
                function b() {
                  return ["<head></head><", c, ' onload="var d=', n, ";d.getElementsByTagName('head')[0].", d, "(d.", g, "('script')).", i, "='", a.l, "'\"></", c, ">"].join("");
                }

                var c = "body",
                    e = h[c];
                if (!e) return setTimeout(q, 100);
                a.P(1);
                var d = "appendChild",
                    g = "createElement",
                    i = "src",
                    k = h[g]("div"),
                    l = k[d](h[g]("div")),
                    f = h[g]("iframe"),
                    n = "document",
                    p;
                k.style.display = "none";
                e.insertBefore(k, e.firstChild).id = o + "-" + j;
                f.frameBorder = "0";
                f.id = o + "-frame-" + j;
                /MSIE[ ]+6/.test(navigator.userAgent) && (f[i] = "javascript:false");
                f.allowTransparency = "true";
                l[d](f);

                try {
                  f.contentWindow[n].open();
                } catch (s) {
                  a.domain = h.domain, p = "javascript:var d=" + n + ".open();d.domain='" + h.domain + "';", f[i] = p + "void(0);";
                }

                try {
                  var r = f.contentWindow[n];
                  r.write(b());
                  r.close();
                } catch (t) {
                  f[i] = p + 'd.write("' + b().replace(/"/g, String.fromCharCode(92) + '"') + '");d.close();';
                }

                a.P(2);
              };

              a.l && setTimeout(q, 0);
            })();
          }();
          c[b].lv = "1";
          return c[b];
        }

        var o = "lightningjs",
            k = window[o] = g(o);
        k.require = g;
        k.modules = c;
      }({});
      window.usabilla_live = window.lightningjs.require("usabilla_live", "//w.usabilla.com/a8d8334b8b78.js"); // prettier-ignore
      // Hide Usabilla default button

      window.usabilla_live("hide"); // Add MAAS version to the custom data

      window.usabilla_live("data", {
        custom: {
          "MAAS version": version
        }
      });
    }
  }, [debug, enableAnalytics, version]);
  return /*#__PURE__*/_react["default"].createElement("footer", {
    className: "p-strip--light is-shallow p-footer"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "row"
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "col-10 p-footer__nav"
  }, /*#__PURE__*/_react["default"].createElement("ul", {
    className: "p-list"
  }, /*#__PURE__*/_react["default"].createElement("li", null, /*#__PURE__*/_react["default"].createElement("small", null, "MAAS name: ", /*#__PURE__*/_react["default"].createElement("strong", null, maasName, " MAAS"))), /*#__PURE__*/_react["default"].createElement("li", null, /*#__PURE__*/_react["default"].createElement("small", null, "MAAS version: ", /*#__PURE__*/_react["default"].createElement("strong", null, version)))), /*#__PURE__*/_react["default"].createElement("ul", {
    className: "p-inline-list--middot"
  }, /*#__PURE__*/_react["default"].createElement("li", {
    className: "p-inline-list__item"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: "https://maas.io/docs/release-notes",
    className: "p-footer__link"
  }, "View release notes")), /*#__PURE__*/_react["default"].createElement("li", {
    className: "p-inline-list__item"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: "https://maas.io/docs/",
    className: "p-footer__link"
  }, "View documentation")), /*#__PURE__*/_react["default"].createElement("li", {
    className: "p-inline-list__item"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: "https://www.ubuntu.com/legal",
    className: "p-footer__link"
  }, "Legal information")), !debug && enableAnalytics ? /*#__PURE__*/_react["default"].createElement("li", {
    className: "p-inline-list__item"
  }, /*#__PURE__*/_react["default"].createElement("a", {
    href: "",
    onClick: function onClick(e) {
      e.preventDefault();
      window.usabilla_live("click");
    }
  }, "Give feedback")) : null), /*#__PURE__*/_react["default"].createElement("p", {
    className: "u-remove-max-width"
  }, "\xA9 ", new Date().getFullYear(), " Canonical Ltd. Ubuntu and Canonical are registered trademarks of Canonical Ltd.")), /*#__PURE__*/_react["default"].createElement("div", {
    className: "col-2"
  }, /*#__PURE__*/_react["default"].createElement("svg", {
    className: "p-footer__logo u-float--right",
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "-0.835 -0.92 761 101"
  }, /*#__PURE__*/_react["default"].createElement("path", {
    fill: "#772953",
    d: "M44.674 99.213c-6.67 0-12.744-1.096-18.226-3.288-5.481-2.193-10.188-5.413-14.114-9.661-3.93-4.248-6.968-9.432-9.113-15.554C1.073 64.591 0 57.555 0 49.606c0-7.948 1.187-15.005 3.563-21.172 2.374-6.166 5.618-11.35 9.729-15.553 4.111-4.201 8.86-7.4 14.252-9.594C32.934 1.097 38.645 0 44.674 0c4.111 0 7.788.273 11.031.822 3.242.548 6.051 1.188 8.428 1.918 2.374.732 4.293 1.463 5.755 2.193 1.461.732 2.467 1.279 3.016 1.644l-3.975 10.964c-.822-.549-2.01-1.142-3.562-1.782-1.555-.638-3.357-1.278-5.413-1.919-2.056-.637-4.316-1.164-6.783-1.576-2.466-.41-5.07-.616-7.811-.616-4.659 0-8.907.87-12.744 2.604-3.838 1.737-7.126 4.248-9.867 7.537-2.74 3.29-4.864 7.287-6.372 11.991-1.507 4.706-2.261 9.982-2.261 15.827 0 5.666.662 10.827 1.987 15.486 1.322 4.659 3.333 8.656 6.029 11.99 2.693 3.336 6.029 5.916 10.003 7.743 3.975 1.828 8.655 2.74 14.047 2.74 6.029 0 11.031-.639 15.005-1.919 3.975-1.278 6.965-2.419 8.976-3.426l3.426 10.963c-.64.458-1.781 1.028-3.426 1.713s-3.7 1.35-6.167 1.986c-2.466.639-5.344 1.187-8.633 1.646-3.289.456-6.852.684-10.689.684zM129.086 2.193a565.955 565.955 0 019.456 20.761 858.043 858.043 0 019.112 21.993 1249.74 1249.74 0 019.388 24.324 3288.944 3288.944 0 0110.277 27.887h-14.526a389.75 389.75 0 01-4.385-12.195 1027.33 1027.33 0 00-4.248-12.196h-43.029l-8.633 24.392H78.657a3156.414 3156.414 0 0110.277-27.887c3.197-8.54 6.325-16.649 9.388-24.324a858.043 858.043 0 019.112-21.993 567.62 567.62 0 019.455-20.761h12.197zm-6.44 15.21a353.539 353.539 0 00-9.113 21.378 768.367 768.367 0 00-8.564 23.159h35.355a1533.387 1533.387 0 00-8.702-23.091 412.74 412.74 0 00-8.976-21.446zM245.839 97.158a751.983 751.983 0 00-6.92-11.374 469.329 469.329 0 00-8.429-13.087 836.532 836.532 0 00-9.387-13.771c-3.243-4.66-6.463-9.16-9.661-13.499s-6.303-8.429-9.317-12.266-5.804-7.216-8.359-10.141v74.136h-13.018V2.193h10.551c4.294 4.568 8.884 9.889 13.772 15.964 4.886 6.076 9.729 12.333 14.525 18.773s9.318 12.768 13.566 18.98c4.248 6.214 7.833 11.74 10.758 16.581V2.193h13.018v94.964h-11.099zM453.309 97.158a760.278 760.278 0 00-6.92-11.374 473.855 473.855 0 00-8.428-13.087 849.214 849.214 0 00-9.387-13.771c-3.244-4.66-6.465-9.16-9.662-13.499s-6.303-8.429-9.318-12.266c-3.014-3.837-5.803-7.216-8.359-10.141v74.136h-13.018V2.193h10.551c4.295 4.568 8.885 9.889 13.773 15.964 4.887 6.076 9.729 12.333 14.525 18.773s9.318 12.768 13.566 18.98c4.248 6.214 7.832 11.74 10.758 16.581V2.193h13.018v94.964h-11.099zM488.525 2.193h13.293v94.964h-13.293V2.193zM566.771 99.213c-6.67 0-12.744-1.096-18.227-3.288-5.48-2.193-10.188-5.413-14.113-9.661-3.93-4.248-6.969-9.432-9.113-15.554-2.146-6.119-3.221-13.155-3.221-21.104 0-7.948 1.188-15.005 3.562-21.172 2.375-6.166 5.619-11.35 9.73-15.553 4.111-4.201 8.861-7.4 14.252-9.594C555.031 1.097 560.742 0 566.771 0c4.111 0 7.787.273 11.031.822 3.242.548 6.051 1.188 8.428 1.918 2.375.732 4.293 1.463 5.756 2.193 1.459.732 2.467 1.279 3.014 1.644l-3.973 10.964c-.822-.549-2.012-1.142-3.564-1.782-1.555-.638-3.357-1.278-5.412-1.919-2.055-.637-4.316-1.164-6.783-1.576-2.467-.41-5.07-.616-7.811-.616-4.658 0-8.908.87-12.744 2.604-3.838 1.737-7.125 4.248-9.867 7.537-2.74 3.29-4.865 7.287-6.371 11.991-1.508 4.706-2.262 9.982-2.262 15.827 0 5.666.662 10.827 1.986 15.486s3.334 8.656 6.029 11.99c2.693 3.336 6.029 5.916 10.004 7.743 3.975 1.828 8.656 2.74 14.047 2.74 6.029 0 11.031-.639 15.006-1.919 3.973-1.278 6.965-2.419 8.975-3.426l3.426 10.963c-.641.458-1.781 1.028-3.426 1.713s-3.699 1.35-6.166 1.986c-2.467.639-5.344 1.187-8.633 1.646-3.289.456-6.852.684-10.69.684zM651.184 2.193a567.66 567.66 0 019.457 20.761 858.114 858.114 0 019.111 21.993 1243.165 1243.165 0 019.389 24.324 3359.473 3359.473 0 0110.277 27.887h-14.527a392.32 392.32 0 01-4.385-12.195 1009.71 1009.71 0 00-4.248-12.196H623.23l-8.635 24.392h-13.84a3094.075 3094.075 0 0110.277-27.887c3.197-8.54 6.326-16.649 9.387-24.324a857.972 857.972 0 019.113-21.993 564.26 564.26 0 019.455-20.761h12.197zm-6.44 15.21a352.267 352.267 0 00-9.113 21.378 765.652 765.652 0 00-8.564 23.159h35.355a1533.218 1533.218 0 00-8.703-23.091 411.007 411.007 0 00-8.975-21.446zM759.988 86.058v11.1h-57.143V2.193h13.293v83.865h43.85zM322.58 81.194c-17.445 0-31.587-14.138-31.587-31.587 0-17.446 14.142-31.586 31.587-31.586 17.446 0 31.587 14.14 31.587 31.586 0 17.449-14.141 31.587-31.587 31.587z"
  }), /*#__PURE__*/_react["default"].createElement("path", {
    fill: "#772953",
    d: "M372.186 49.608c0 27.396-22.21 49.605-49.606 49.605-27.398 0-49.606-22.21-49.606-49.605 0-27.397 22.208-49.606 49.606-49.606 27.396-.001 49.606 22.208 49.606 49.606zm-49.607-37.54c-20.734 0-37.539 16.808-37.539 37.54 0 20.735 16.805 37.538 37.539 37.538s37.539-16.803 37.539-37.538c0-20.733-16.805-37.54-37.539-37.54z"
  })))));
};

exports.Footer = Footer;
Footer.propTypes = {
  maasName: _propTypes["default"].string.isRequired,
  version: _propTypes["default"].string.isRequired
};
var _default = Footer;
exports["default"] = _default;

/***/ }),
/* 19 */
/***/ (function(module, exports) {

var g; // This works in non-strict mode

g = function () {
  return this;
}();

try {
  // This works if eval is allowed (see CSP)
  g = g || new Function("return this")();
} catch (e) {
  // This works if the window reference is available
  if (typeof window === "object") g = window;
} // g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}


module.exports = g;

/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

// extracted by mini-css-extract-plugin

/***/ })
/******/ ]);
//# sourceMappingURL=root-application.36d6de18fbd2a6333886.js.map